# Class ReturnaddressType

java.lang.Object
org.apache.bcel.generic.Type
org.apache.bcel.generic.ReturnaddressType

public class ReturnaddressType extends Type
Returnaddress, the type JSR or JSR_W instructions push upon the stack. see vmspec2 �3.3.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReturnaddressType`
  `NO_TARGET`

  ### Fields inherited from class Type

  `BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReturnaddressType(InstructionHandle returnTarget)`
  Creates a ReturnaddressType object with a target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object rat)`
  Returns if the two Returnaddresses refer to the same target.
  `InstructionHandle`
  `getTarget()`
  `int`
  `hashCode()`

  ### Methods inherited from class Type

  `getArgumentTypes, getClassName, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, getTypes, normalizeForStackOrLocal, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NO_TARGET

    public static final ReturnaddressType NO_TARGET

- ## Constructor Details

  - ### ReturnaddressType

    public ReturnaddressType(InstructionHandle returnTarget)
    Creates a ReturnaddressType object with a target.

- ## Method Details

  - ### equals

    public boolean equals(Object rat)
    Returns if the two Returnaddresses refer to the same target.
    Overrides:
      `equals` in class `Type`
    Returns:
      whether the Types are equal

  - ### getTarget

    public InstructionHandle getTarget()
    Returns:
      the target of this ReturnaddressType

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Type`
    Returns:
      a hash code value for the object.